
%bcond_without check

%global goipath         github.com/emersion/go-mbox
Version:                1.0.3

%gometa

%global common_description %{expand:
Package mbox parses the mbox file format into messages and formats messages
into mbox files.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Package mbox parses the mbox file format into messages and formats messages into mbox files

License:        MIT
URL:            %{gourl}
%global signed_source %{url}/releases/download/v%{version}/go-mbox-%{version}.tar.gz
Source0:        %{signed_source}
Source1:        %{signed_source}.sig
Source2:        https://emersion.fr/.well-known/openpgpkey/hu/dj3498u4hyyarh35rkjfnghbjxug6b19#/emersion.asc

%description %{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Aug 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
